<form (ngSubmit)="addNewKid()" #form="ngForm">
  <input type="text" [(ngModel)]="kid" name="newKid" />
  <button type="submit">Add new member</button>
</form>
<ul>
  <li *ngFor = "let i of allKid">
    {{i}}
  </li>
</ul>
